summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Giorgio Peron2012-12-19 20:17:59 +0100
committer Matteo Bernardini2012-12-19 20:18:21 +0100
commitdbce7b4d041210c6906fbf6b7afa06c3116f3d69 (patch)
tree7420a38152caa6bec30f6aaa899d6a01a5517a2e /graphics
parent99ebacbeaf9ad6ce537e43e267967b7c8e36764e (diff)
downloadslackbuilds-dbce7b4d041210c6906fbf6b7afa06c3116f3d69.tar.gz
graphics/makehuman: Added (3D humanoid models generator).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/makehuman/README2
-rw-r--r--graphics/makehuman/doinst.sh15
-rw-r--r--graphics/makehuman/makehuman.SlackBuild118
-rw-r--r--graphics/makehuman/makehuman.desktop10
-rw-r--r--graphics/makehuman/makehuman.info10
-rw-r--r--graphics/makehuman/makehuman.sh3
-rw-r--r--graphics/makehuman/slack-desc19
7 files changed, 177 insertions, 0 deletions
diff --git a/graphics/makehuman/README b/graphics/makehuman/README
new file mode 100644
index 0000000000..d4c5c81782
--- /dev/null
+++ b/graphics/makehuman/README
@@ -0,0 +1,2 @@
+MakeHuman is an open source (so it's completely free), innovative and
+professional software for the modelling of 3-Dimensional humanoid characters.
diff --git a/graphics/makehuman/doinst.sh b/graphics/makehuman/doinst.sh
new file mode 100644
index 0000000000..af1140d7d8
--- /dev/null
+++ b/graphics/makehuman/doinst.sh
@@ -0,0 +1,15 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+
diff --git a/graphics/makehuman/makehuman.SlackBuild b/graphics/makehuman/makehuman.SlackBuild
new file mode 100644
index 0000000000..fd22ebc2b0
--- /dev/null
+++ b/graphics/makehuman/makehuman.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Slackware build script for makehuman
+
+# Copyright 2012 Giorgio Peron Campodarsego, PD, Italy giorgio.peron@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=makehuman
+VERSION=${VERSION:-1.0a7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+# Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BINDIRSUFFIX="32bit"
+ ARCH1="i386"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BINDIRSUFFIX="32bit"
+ ARCH1="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ BINDIRSUFFIX="64bit"
+ ARCH1="amd64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xjvf $CWD/$PRGNAM-$VERSION-python27-$ARCH1.tbz2
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+scons
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/share/makehuman
+cp -a \
+ main.py \
+ makehuman \
+ mh_icon.bmp \
+ setup.nsi \
+ $PKG/usr/share/makehuman
+cp -r $TMP/$PRGNAM/apps $PKG/usr/share/makehuman
+cp -r $CWD/makehuman.sh $PKG/usr/bin/makehuman
+chmod +x $PKG/usr/bin/makehuman
+cp -r $TMP/$PRGNAM/core $PKG/usr/share/makehuman
+cp -r $TMP/$PRGNAM/data $PKG/usr/share/makehuman
+cp -r $TMP/$PRGNAM/etc $PKG/usr/share/makehuman
+cp -r $TMP/$PRGNAM/importers $PKG/usr/share/makehuman
+cp -r $TMP/$PRGNAM/plugins $PKG/usr/share/makehuman
+cp -r $TMP/$PRGNAM/shared $PKG/usr/share/makehuman
+cp -r $TMP/$PRGNAM/utils $PKG/usr/share/makehuman
+cp -r $TMP/$PRGNAM/tools $PKG/usr/share/makehuman
+mkdir -p $PKG/usr/share/applications
+cp -r $CWD/makehuman.desktop $PKG/usr/share/applications
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ license.txt \
+ docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/makehuman/makehuman.desktop b/graphics/makehuman/makehuman.desktop
new file mode 100644
index 0000000000..bbb166be88
--- /dev/null
+++ b/graphics/makehuman/makehuman.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=MakeHuman alpha 7
+Comment=Generate 3D humanoid models
+Exec=makehuman
+Icon=/usr/share/makehuman/mh_icon.bmp
+Terminal=false
+Categories=Graphics
+StartupNotify=true
diff --git a/graphics/makehuman/makehuman.info b/graphics/makehuman/makehuman.info
new file mode 100644
index 0000000000..d7d1366885
--- /dev/null
+++ b/graphics/makehuman/makehuman.info
@@ -0,0 +1,10 @@
+PRGNAM="makehuman"
+VERSION="1.0a7"
+HOMEPAGE="http://www.makehuman.org"
+DOWNLOAD="https://makehuman.googlecode.com/files/makehuman-1.0a7-python27-i386.tbz2"
+MD5SUM="76cf114ea47459b1285b49050d56d1f9"
+DOWNLOAD_x86_64="https://makehuman.googlecode.com/files/makehuman-1.0a7-python27-amd64.tbz2"
+MD5SUM_x86_64="c740df48ad5aad5d66929c31f1271f7f"
+REQUIRES="scons"
+MAINTAINER="Giorgio Peron"
+EMAIL="giorgio.peron@gmail.com"
diff --git a/graphics/makehuman/makehuman.sh b/graphics/makehuman/makehuman.sh
new file mode 100644
index 0000000000..a46e32537a
--- /dev/null
+++ b/graphics/makehuman/makehuman.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+cd /usr/share/makehuman
+./makehuman >/dev/null 2>&1
diff --git a/graphics/makehuman/slack-desc b/graphics/makehuman/slack-desc
new file mode 100644
index 0000000000..4f0baa6d78
--- /dev/null
+++ b/graphics/makehuman/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+makehuman: MakeHuman (Generate 3D humanoid models)
+makehuman:
+makehuman: MakeHuman is an open source (so it's completely free), innovative
+makehuman: and professional software for the modelling of 3-Dimensional
+makehuman: humanoid characters.
+makehuman:
+makehuman: http://www.makehuman.org
+makehuman:
+makehuman:
+makehuman:
+makehuman: